ClientLifeCycleManagerImpl (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.bus.managers

## Class ClientLifeCycleManagerImpl

- java.lang.Object
- - org.apache.cxf.bus.managers.ClientLifeCycleManagerImpl

- All Implemented Interfaces:
    `ClientLifeCycleManager`, `BusExtension`

      public class ClientLifeCycleManagerImpl
      extends Object
      implements ClientLifeCycleManager, BusExtension

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientLifeCycleManagerImpl()` |
    `ClientLifeCycleManagerImpl​(Bus b)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clientCreated​(Client client)` |
    `void` | `clientDestroyed​(Client client)` |
    `Class<?>` | `getRegistrationType()` |
    `void` | `registerListener​(ClientLifeCycleListener listener)` |
    `void` | `unRegisterListener​(ClientLifeCycleListener listener)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientLifeCycleManagerImpl

          public ClientLifeCycleManagerImpl()

    - #### ClientLifeCycleManagerImpl

          public ClientLifeCycleManagerImpl​(Bus b)

  - ### Method Detail

    - #### getRegistrationType

          public Class<?> getRegistrationType()

      Specified by:
        `getRegistrationType` in interface `BusExtension`

    - #### registerListener

          public void registerListener​(ClientLifeCycleListener listener)

      Specified by:
        `registerListener` in interface `ClientLifeCycleManager`

    - #### clientCreated

          public void clientCreated​(Client client)

      Specified by:
        `clientCreated` in interface `ClientLifeCycleManager`

    - #### clientDestroyed

          public void clientDestroyed​(Client client)

      Specified by:
        `clientDestroyed` in interface `ClientLifeCycleManager`

    - #### unRegisterListener

          public void unRegisterListener​(ClientLifeCycleListener listener)

      Specified by:
        `unRegisterListener` in interface `ClientLifeCycleManager`